Bug 70480 - modem detection killed my serial mouse
Summary: modem detection killed my serial mouse
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-01 17:26 UTC by Michael Schwendt
Modified: 2014-03-17 02:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 22:57:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-08-01 17:26:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
Using redhat-config-network-druid to set up a Modem dial-up connection, it
probed the serial ports for Modems and killed my 3-button serial mouse on
/dev/ttyS1. I could still move the mouse pointer, but clicking buttons or
windows didn't work any longer.

I don't have a Modem on /dev/ttyS0, I just tried this for a friend.

$ file /dev/mouse
/dev/mouse: symbolic link to ttyS1

$ dmesg | grep tty
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A

I would have expected redhat-config-network to skip my mouse port or at least
not cause my mouse to malfunction.

It might be that the user must not move the mouse while the serial ports are
probed. If that is true, a big fat warning prior to probing would be useful. Or
maybe it is possible to "steal" the mouse from X Windows and give it back later.

The work-around is to kill and restart the X Server.

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.12-1


How reproducible:
Sometimes

Comment 1 Trond Eivind Glomsrxd 2002-08-01 18:31:51 UTC
RHCN just tells kudzu to go look for modems...

Comment 2 Bill Nottingham 2005-02-04 22:57:27 UTC
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.


Note You need to log in before you can comment on or make changes to this bug.